"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x108fc1040>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x108fc10d0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x108fc1160>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x108fc11f0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x108fc1280>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x108fc1310>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x108fc13a0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x108fc1430>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x108fc14c0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x108fc1550>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x108fc15e0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x108fc1670>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x108fc1700>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x108fc1790>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x108fc1820>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x108fc18b0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x108fc1940>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x108fc19d0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x108fc1a60>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x108fc1af0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x108fc1b80>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x108fc1c10>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x108fc1ca0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x108fc1d30>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x108fc1e50>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x108fc1dc0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x108fc1ee0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x108fc1f70>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x108fc7040>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x108fc70d0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x108fc7160>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x108fc71f0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x108fc7280>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x108fc7310>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x108fc73a0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x108fc7430>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x108fc74c0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x108fc7550>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108fc75e0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108fc7670>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108fc7700>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x108fc7790>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x108fc7820>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x108fc78b0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x108fc7940>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x108fc79d0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x108fc7a60>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x108fc7af0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x108fc7b80>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x108fc7c10>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x108fc7ca0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x108fc7d30>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x108fc7dc0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x108fc7e50>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x108fc7ee0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x108fc7f70>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x108fc9040>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x108fc90d0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x108fc9160>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x108fc91f0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x108fc9280>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x108fc9310>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x108fc93a0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x108fc9430>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x108fc94c0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x108fc9670>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x108fc9550>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x108fc9700>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x108fc9790>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x108fc9820>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x108fc98b0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x108fc9940>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x108fc9a60>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x108fc99d0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x108fc9af0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x108fc9b80>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x108fc9c10>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x108fc9d30>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x108fc9ca0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x108fc9dc0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x108fc9e50>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x108fc9ee0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x108fc9f70>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x108fcd040>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x108fcd0d0>)]
name: str = 'fr_HOCCN'
